=== debian/changelog ===
libscrypt (1-2ubuntu2) trusty; urgency=low

  * debian/patches/big-endian.patch: Fix compilation on big-endian arches.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 30 Oct 2013 16:26:03 -0600

libscrypt (1-2ubuntu1) trusty; urgency=low

  * debian/patches/math-linking.patch: fix linking with -lm for crypto-mcf.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 29 Oct 2013 21:49:27 -0700

libscrypt (1-2) unstable; urgency=low

  * Add missing BSD-3-clause license to debian/copyright

 -- Micah Anderson <micah@debian.org>  Tue, 13 Aug 2013 09:42:28 -0400

libscrypt (1-1) unstable; urgency=low

  * Initial release (Closes: #713913)

 -- Micah Anderson <micah@debian.org>  Sun, 23 Jun 2013 15:59:17 -0400
