=== debian/control ===
Source: libscrypt
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Micah Anderson <micah@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.4
Section: libs
Homepage: http://www.lolware.net/libscrypt.html
Vcs-Git: git://git.debian.org/collab-maint/libscrypt.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/libscrypt.git;a=summary

Package: libscrypt-dev
Section: libdevel
Architecture: any
Depends: libscrypt0 (= ${binary:Version}), ${misc:Depends}
Description: scrypt shared library - development files
 The scrypt algorithm is a password-based key derivation function
 designed to require large amounts of memory. This proof-of-work scheme
 is intended to make it costly to perform large-scale hardware
 attacks.
 . 
 This package contains a shared library implementing the scrypt
 algorithm, based on the original implementation with a number of
 harnesses and simplified interfaces.

Package: libscrypt0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: scrypt shared library
 The scrypt algorithm is a password-based key derivation function
 designed to require large amounts of memory. This proof-of-work scheme
 is intended to make it costly to perform large-scale hardware
 attacks.
 . 
 This package contains a shared library implementing the scrypt
 algorithm, based on the original implementation with a number of
 harnesses and simplified interfaces.
