## libscrypt 1.20

=== debian/changelog ===
libscrypt (1.20-1) experimental; urgency=low

  * ACK NMUs, thanks for the fixes.
  * New upstream release (Closes: #746041).
    - Drop patches from NMUs due to inclusion of equivalent changes upstream.
  * Add myself as co-maintainer.
  * Bump Standards-Version.
  * Add a symbols file.
  * Tweak -dev package description.
  * Update Vcs-* fields.
  * Update copyright file.

 -- Tristan Seligmann <mithrandi@debian.org>  Sun, 14 Dec 2014 05:28:49 +0200

libscrypt (1-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS on big endian architecture.
    Patch by Aurelien Jarno.
    Add big-endian.patch.
    Closes: #728254.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 21 Jul 2014 06:32:03 +0100

libscrypt (1-2.1) unstable; urgency=medium

  * Non-maintainer upload
  * Make symlink relative (Closes: #731174)

 -- David Prévot <taffit@debian.org>  Wed, 25 Dec 2013 20:48:11 -0400
