=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: libscrypt
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Micah Anderson <micah@debian.org>
+Maintainer: Micah Anderson <micah@debian.org>
+Uploaders: Tristan Seligmann <mithrandi@debian.org>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Section: libs
 Homepage: http://www.lolware.net/libscrypt.html
-Vcs-Git: git://git.debian.org/collab-maint/libscrypt.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/libscrypt.git;a=summary
+Vcs-Git: git://anonscm.debian.org/collab-maint/libscrypt.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libscrypt.git;a=summary
 
 Package: libscrypt-dev
 Section: libdevel
@@ -19,12 +19,9 @@
  is intended to make it costly to perform large-scale hardware
  attacks.
  . 
- This package contains a shared library implementing the scrypt
- algorithm, based on the original implementation with a number of
- harnesses and simplified interfaces.
+ This package contains files for development with libscrypt.
 
 Package: libscrypt0
-Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: scrypt shared library
