=== debian/changelog ===
libscrypt (1.21-3) unstable; urgency=medium

  * Switch Vcs-Git to https.
  * Bump Standards-Version to 3.9.7 (no changes).
  * Fix trailing spaces in description.
  * Turn on all hardening options.

 -- Tristan Seligmann <mithrandi@debian.org>  Mon, 22 Feb 2016 02:14:56 +0200

libscrypt (1.21-2) unstable; urgency=medium

  * Version bump because of failed dgit upload.

 -- Tristan Seligmann <mithrandi@debian.org>  Fri, 07 Aug 2015 21:07:05 +0200

libscrypt (1.21-1) unstable; urgency=medium

  * Update debian/watch to point to Github.
  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Fri, 07 Aug 2015 21:00:05 +0200

libscrypt (1.20-2) unstable; urgency=medium

  * Reupload to unstable (no changes).

 -- Tristan Seligmann <mithrandi@debian.org>  Fri, 01 May 2015 01:32:55 +0200
