=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Maintainer: Micah Anderson <micah@debian.org>
 Uploaders: Tristan Seligmann <mithrandi@debian.org>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Section: libs
 Homepage: http://www.lolware.net/libscrypt.html
-Vcs-Git: git://anonscm.debian.org/collab-maint/libscrypt.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libscrypt.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/libscrypt.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libscrypt.git
 
 Package: libscrypt-dev
 Section: libdevel
@@ -18,7 +18,7 @@
  designed to require large amounts of memory. This proof-of-work scheme
  is intended to make it costly to perform large-scale hardware
  attacks.
- . 
+ .
  This package contains files for development with libscrypt.
 
 Package: libscrypt0
@@ -29,8 +29,7 @@
  designed to require large amounts of memory. This proof-of-work scheme
  is intended to make it costly to perform large-scale hardware
  attacks.
- . 
+ .
  This package contains a shared library implementing the scrypt
  algorithm, based on the original implementation with a number of
  harnesses and simplified interfaces.
-
