=== debian/watch ===
version=3
https://github.com/technion/libscrypt/releases \
.*[^n]/(?:|v|version-|version|release-|r|REL_|rel-|libscrypt(?:_|-))(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
