=== debian/changelog ===
libscrypt (1.22-4) unstable; urgency=medium

  * Fix trailing-whitespace.
  * Add upstream/metadata.
  * Bump debian/* copyright years.
  * Adopt for pkg-security team.  Closes: #1092116.
  * Add lrc.excludes.
  * Run wrap-and-sort -satbk.
  * Add salsa-ci.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 07 Oct 2025 18:54:51 +0200

libscrypt (1.22-3) unstable; urgency=medium

  * QA upload.
  * Add gbp.conf to make source maintainable with gbp.
  * Update debian/watch to version 5.
  * Bump Standards-Version to 4.7.2 (no changes).
  * Add github repo as Homepage for now.
  * Bump debhelper-compat to version 13.
  * Fix dep3 issues in hppa.patch.
  * Fix lintian issues on soname and blhc missing flag
  * Fix lintian issue symbols-file-missing-build-depends-package-field
  * Import upstream fixes for miscompilations and a FTBFS due to aliasing.

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Mon, 06 Oct 2025 14:19:59 +0000

libscrypt (1.22-2) unstable; urgency=medium

  * QA upload.
  * Fix build on hppa due to missing fPIC flag. (Closes: #1107632)

 -- Bastian Germann <bage@debian.org>  Thu, 28 Aug 2025 13:02:09 +0200

libscrypt (1.22-1) unstable; urgency=medium

  * QA upload.
  * Move from deprecated Priority: extra to optional.
  * Update debhelper-compat to 12.
  * lintian: insecure-copyright-format-uri.
  * Drop unnecessary libscrypt-dev.dirs.
  * Orphan package (see #1092116).
  * Drop invalid Homepage.

 -- Bastian Germann <bage@debian.org>  Sun, 23 Feb 2025 13:29:17 +0000

libscrypt (1.22-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * d/watch: Scan via GitHub API (Closes: #1061571).
  * New upstream release (Closes: #1061570).

 -- Bastian Germann <bage@debian.org>  Tue, 28 May 2024 21:45:33 +0200

libscrypt (1.21-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Migrate repository from alioth to salsa.
  * Remove retired uploader.

 -- Bastian Germann <bage@debian.org>  Thu, 13 Jul 2023 14:40:40 +0200
