=== debian/control ===
Source: libscrypt
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders:
 Simon Josefsson <simon@josefsson.org>,
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.7.2
Section: libs
Homepage: https://github.com/technion/libscrypt
Vcs-Git: https://salsa.debian.org/debian/libscrypt.git
Vcs-Browser: https://salsa.debian.org/debian/libscrypt

Package: libscrypt-dev
Section: libdevel
Architecture: any
Depends:
 libscrypt0 (= ${binary:Version}),
 ${misc:Depends},
Description: scrypt shared library - development files
 The scrypt algorithm is a password-based key derivation function
 designed to require large amounts of memory. This proof-of-work scheme
 is intended to make it costly to perform large-scale hardware
 attacks.
 .
 This package contains files for development with libscrypt.

Package: libscrypt0
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: scrypt shared library
 The scrypt algorithm is a password-based key derivation function
 designed to require large amounts of memory. This proof-of-work scheme
 is intended to make it costly to perform large-scale hardware
 attacks.
 .
 This package contains a shared library implementing the scrypt
 algorithm, based on the original implementation with a number of
 harnesses and simplified interfaces.
