=== debian/watch ===
Version: 5
Template: Github
Owner: technion
Project: libscrypt
